From 0f11a985a90cc0acb1f51106c8b7eb0e1e645bdb Mon Sep 17 00:00:00 2001
From: Isaac Burns <isaacburns@gmail.com>
Date: Thu, 28 Apr 2016 15:37:44 -0500
Subject: [PATCH] evaluate IK constraint keyframe curve

---
 spine.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/spine.js b/spine.js
index 2d2997e..024db7b 100644
--- a/spine.js
+++ b/spine.js
@@ -3319,7 +3319,7 @@ spine.Pose.prototype.strike = function() {
         var ikc_keyframe0 = anim_ikc.ikc_keyframes[keyframe_index];
         var ikc_keyframe1 = anim_ikc.ikc_keyframes[keyframe_index + 1];
         if (ikc_keyframe1) {
-          pct = (time - ikc_keyframe0.time) / (ikc_keyframe1.time - ikc_keyframe0.time);
+          pct = ikc_keyframe0.curve.evaluate((time - ikc_keyframe0.time) / (ikc_keyframe1.time - ikc_keyframe0.time));
           ikc_mix = spine.tween(ikc_keyframe0.mix, ikc_keyframe1.mix, pct);
         } else {
           ikc_mix = ikc_keyframe0.mix;
